# plupload.QueueProgress

Namespace | plupload
Class | QueueProgress

Runtime class gets implemented by each upload runtime.

## Public Properties

Property | Defined By
--- | ---
bytesPerSec : Number Bytes uploaded per second. | QueueProgress
failed : Number Number of files failed to upload. | QueueProgress
loaded : Number Total bytes uploaded. | QueueProgress
percent : Number Total percent of the uploaded bytes. | QueueProgress
queued : Number Number of files yet to be uploaded. | QueueProgress
size : Number Total queue file size. | QueueProgress
uploaded : Number Number of files uploaded. | QueueProgress

## Public Methods

Method | Defined By
--- | ---
QueueProgress() Constructs a queue progress. | QueueProgress
reset():void Resets the progress to it's initial values. | QueueProgress

## Property details

### bytesPerSecproperty

`public bytesPerSec : Number`
Bytes uploaded per second.

### failedproperty

`public failed : Number`
Number of files failed to upload.

### loadedproperty

`public loaded : Number`
Total bytes uploaded.

### percentproperty

`public percent : Number`
Total percent of the uploaded bytes.

### queuedproperty

`public queued : Number`
Number of files yet to be uploaded.

### sizeproperty

`public size : Number`
Total queue file size.

### uploadedproperty

`public uploaded : Number`
Number of files uploaded.

## Method details

### QueueProgressconstructor

`public function QueueProgress()`
Constructs a queue progress.

### resetmethod

`public function reset():void`
Resets the progress to it's initial values.